﻿@model PaginatedList<FERZid.Models.Uredaj>

@{
    ViewData["Title"] = "Index";
}

<h2>Index</h2>

<p>
    <a asp-action="Create">Create New</a>
</p>

<form asp-action="Index" method="get">
    <div class="form-actions no-color">
        <p>
            Pronađi po imenu: <input type="text" name="SearchString" value="@ViewData["currentFilter"]" />
            <input type="submit" value="Search" class="btn btn-default" /> | <a asp-action="Index">Back to Full List</a>
        </p>
    </div>
</form>

<table class="table" id="table">
    <thead>
        <tr>
            <th></th>
            <th>
                <a asp-action="Index" asp-route-sortOrder="@ViewData["NameSortParm"]" asp-route-currentFilter="@ViewData["CurrentFilter"]">Ime</a>
            </th>
            <th>
                Vrsta
            </th>
            <th>
                Zamjenski uređaj
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                <span data-toggle="collapse" data-target="#komponente-@item.Iduredaja">
                    <button class="btn btn-default btn-xs" data-toggle="tooltip" title="Komponente" >
                        <span class="glyphicon glyphicon-eye-open" />
                    </button>
                </span>
                <span data-toggle="tooltip" title="Servisi">
                    <button class="btn btn-default btn-xs" data-toggle="collapse" data-target="#servisi-@item.Iduredaja">
                        <span class="glyphicon glyphicon-eye-open" />
                    </button>
                </span>

            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ImeUredaja)
            </td>
            <td>
                <a asp-controller="VrstaUredaja" asp-action="Details" asp-route-id="@item.IdvrsteUredaja">
                    @Html.DisplayFor(modelItem => item.IdvrsteUredajaNavigation.Naziv)
                </a>
            </td>
            <td>
                <a asp-action="Details" asp-route-id="@item.IdzamjenskiUredaj">
                    @Html.DisplayFor(modelItem => item.IdzamjenskiUredajNavigation.ImeUredaja)
                </a>
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.Iduredaja">Edit</a> |
                <a asp-action="Details" asp-route-id="@item.Iduredaja">Details</a> |
                <a asp-action="Delete" asp-route-id="@item.Iduredaja">Delete</a>
            </td>
        </tr>
        <tr>
            <td colspan="5">
                <div id="komponente-@item.Iduredaja" class="collapse">
                    @if (item.Komponenta.Count > 0)
                    {
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>
                                        Tip komponente
                                    </th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var komponenta in @item.Komponenta)
                                {
                                    <tr>
                                        <td>
                                            @komponenta.IdtipKomponenteNavigation.Naziv
                                        </td>
                                        <td>
                                            <a asp-controller="Komponenta" asp-action="Details" asp-route-id="@komponenta.Idkomponente">Details</a>
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>

                    }
                    else
                    {
                        <p>Uređaj nema komponenata.</p>
                    }
                </div>
                <div id="servisi-@item.Iduredaja" class="collapse">
                    @if (item.Servis.Count > 0)
                    {
                    <table class="table">
                        <thead>
                            <tr>
                                <th>
                                    Vrsta servisa
                                </th>
                                <th>
                                    From-To
                                </th>
                                <th></th>
                            </tr>
                        </thead>
                            <tbody>
                                @foreach (var servis in @item.Servis)
                                {
                                    <tr>
                                        <td>
                                            @servis.IdvrsteNavigation.Naziv
                                        </td>
                                        <td>
                                            @servis.Pocetak - @servis.Zavrsetak
                                        </td>

                                        <td>
                                            <div class="text-center">
                                                <a asp-controller="Servis" asp-action="Details" asp-route-id="@servis.Idservisa">Details</a>
                                            </div>
                                        </td>

                                    </tr>
                                }
                            </tbody>
                    </table>
                    }else
                    {
                        <p>Uređaj nema servisa.</p>
                    }
                </div>

            </td>
        </tr>
}
    </tbody>
</table>

@{
    var prevDisabled = !Model.HasPreviousPage ? "disabled" : "";
    var nextDisabled = !Model.HasNextPage ? "disabled" : "";
}

<a asp-action="Index"
   asp-route-sortOrder="@ViewData["CurrentSort"]"
   asp-route-page="@(Model.PageIndex - 1)"
   asp-route-currentFilter="@ViewData["CurrentFilter"]"
   class="btn btn-default @prevDisabled btn">
    Previous
</a>
<a asp-action="Index"
   asp-route-sortOrder="@ViewData["CurrentSort"]"
   asp-route-page="@(Model.PageIndex + 1)"
   asp-route-currentFilter="@ViewData["CurrentFilter"]"
   class="btn btn-default @nextDisabled btn">
    Next
</a>